Akismet 2.4.0 breaks Easy Blogging

If you have Akismet installed in mu-plugins, and Easy Blogging is broken, you can fix this by removing the conflicting script as follows.

Create a new mu-plugin with the following php code:

<?php
function my_remove_akismet_admin_init() {
if ( function_exists( 'get_plugin_page_hook' ) )
$hook = get_plugin_page_hook( 'akismet-stats-display', 'index.php' );
else
$hook = 'dashboard_page_akismet-stats-display';
remove_action('admin_head-'.$hook, 'akismet_stats_script');
}
add_action('admin_init', 'my_remove_akismet_admin_init');
?>

Thought I'd share
~fuzu